namespace BinaryDad.AacpsBusAlert
{
    public class BusRoute
    {
        public int BusNumber { get; set; }
        public int SubBusNumber { get; set; }
        public string Schools { get; set; }
        public string Schedules { get; set; }
        public string Impact { get; set; }

        public bool NoService => Impact.Contains("No Service", StringComparison.OrdinalIgnoreCase);
        public bool IsAmAffected => Schedules.Contains("AM", StringComparison.OrdinalIgnoreCase);
        public bool IsPmAffected => Schedules.Contains("PM", StringComparison.OrdinalIgnoreCase);
    }
}